[casa-distro] workaround DNS problem with docker

15/09/2017 02:17 PM - Riviere, Denis

Status: Closed Start date: 15/09/2017

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: casa-distro Estimated time: 0:00 hour

Target version: brainvisa-4.7 Spent time: 0:00 hour

Resolution: Fixed   

Description

On Ubuntu systems /etc/resolv.conf often contains 127.0.0.1 as nameserver. This disturbs docker and DNS is not working inside

docker containers.

It is possible to fix it when running an image: docker run --net=host

But this option did not exist in build mode. This makes casa_distro fail when downloading brainvisa-cmake sources from svn.

Newer versions of docker (1.13) have a new option recognized by build: docker build --network=host

So we have at least to:

test docker version and use this option when available

document the possible failure and cause with older docker versions, suggest a possible fix (changing /etc/resolv.conf on the

host)

We could imagine other alternatives (specificly for these systems): when docker DNS does not work (how to test it?), try if svn is

avialable on the host, download svn sources using the host, then build the docker image using COPY...

But there would still be cases where none of these solutions would work.

Associated revisions

Revision 79172 - 15/09/2017 02:53 PM - Riviere, Denis

Use docker option --network on versions which support it

#17336

Revision 79172 - 15/09/2017 02:53 PM - Riviere, Denis

Use docker option --network on versions which support it

#17336

History

#1 - 15/09/2017 02:30 PM - Cointepas, Yann

This is a case where switching to Singularity for users could help. Network

is shared by default in Singularity and there is no need to be root to use

it. One drawback, AFAIK there is no package to install it. It must be

installed with configure/make/make install.

#2 - 26/09/2017 02:44 PM - Riviere, Denis

- Target version changed from brainvisa-4.6 to brainvisa-4.7

#3 - 30/10/2018 02:51 PM - Riviere, Denis

- Status changed from New to Closed

- % Done changed from 0 to 100

- Resolution set to Fixed

fixed by using singularity
